Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.math
Class BigInteger

Method Summary
`void` | `downto(Number to, Closure closure)` Iterates from this number down to the given number, inclusive, decrementing by one each time.
`Number` | `power(Integer exponent)` Power of a BigInteger to an integer certain exponent.
`void` | `upto(Number to, Closure closure)` Iterates from this number up to the given number, inclusive, incrementing by one each time.

Method Detail

### downto

    public void downto(Number to, Closure closure)

  Iterates from this number down to the given number, inclusive, decrementing by one each time.

Parameters:
  `to` - the end number.
  `closure` - the code to execute for each number.

Since:
  1.0

### power

    public Number power(Integer exponent)

  Power of a BigInteger to an integer certain exponent. If the exponent is positive, call the BigInteger.pow(int) method to maintain precision. Called by the '**' operator.

Parameters:
  `exponent` - an Integer exponent.

Returns:
  a Number to the power of a the exponent

### upto

    public void upto(Number to, Closure closure)

  Iterates from this number up to the given number, inclusive, incrementing by one each time. Example:

      0.upto( 10 ) {
        println it
      }

  Prints numbers 0 to 10

Parameters:
  `to` - the end number.
  `closure` - the code to execute for each number.

Since:
  1.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK